Delete a prefix list
curl --request DELETE \
--url https://v1.api.altostrat.io/vpc/prefix-lists/{prefixListId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/vpc/prefix-lists/{prefixListId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/vpc/prefix-lists/{prefixListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Prefix Lists
Delete a prefix list
Permanently deletes a prefix list. This action will fail if the prefix list is currently referenced by any security group rule. An asynchronous process will remove the corresponding address list from all associated sites.
DELETE
/
vpc
/
prefix-lists
/
{prefixListId}
Delete a prefix list
Authorizations
Authentication is performed via an Auth0-issued JSON Web Token (JWT). Provide the token in the Authorization header with the Bearer scheme.
Path Parameters
The unique identifier for the prefix list to delete.
Pattern:
^prfx_lst_[0-9a-zA-Z]{27}$Example:
"prfx_lst_0ujsswThIGTUYm2K8FjOOfxcYpw"
Response
The prefix list was deleted successfully.
Was this page helpful?
⌘I